<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>The Debian Menu sub-policy - Menu Structure</title>

<link href="index.html" rel="start">
<link href="ch1.html" rel="prev">
<link href="index.html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch1.html" rel="chapter" title="1 About this document">
<link href="ch2.html" rel="chapter" title="2 Menu Structure">
<link href="ch2.html#s2.1" rel="section" title="2.1 Preferred menu structure">

</head>

<body>

<p><a name="ch2"></a></p>
<hr>

<p>
[ <a href="ch1.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ 2 ]
[ <a href="index.html">next</a> ]
</p>

<hr>

<h1>
The Debian Menu sub-policy
<br>Chapter 2 - Menu Structure
</h1>

<hr>

<p>
If you have a package which doesn't fit within the existing menu hierarchy,
please bring it up on the debian-devel mailing list.  If you have other
proposals for changing the menu hierarchy, or making other changes to menu
policy, please bring it up on debian-policy.
</p>

<hr>

<h2 id="s2.1">2.1 Preferred menu structure</h2>

<p>
Here is the authoritative list of Debian's menu structure.  Packages must be
placed in leaf sections.
</p>
<dl>
<dt>Applications</dt>
<dd>
<p>
Normal applications
</p>
<dl>
<dt>Applications/Accessibility</dt>
<dd>
<p>
Tools to aid people with disabilities or for machines lacking usual input
devices.
</p>

<p>
Examples: gok, yasr, dasher.
</p>
</dd>
</dl>
<dl>
<dt>Applications/Amateur Radio</dt>
<dd>
<p>
Anything relating to HAM radio.
</p>

<p>
Examples: baken, hamsoft, twlog
</p>
</dd>
</dl>
<dl>
<dt>Applications/Data Management</dt>
<dd>
<p>
Interactive database programs, collection managers, address books, bibliography
tools, etc.
</p>

<p>
gaby, alexandria, mdbtools
</p>
</dd>
</dl>
<dl>
<dt>Applications/Editors</dt>
<dd>
<p>
Editors, other than office word processors, for text-based information.
</p>

<p>
Examples: ksubtile, nano, hexedit
</p>
</dd>
</dl>
<dl>
<dt>Applications/Education</dt>
<dd>
<p>
Educational and training softwares.
</p>

<p>
Examples: gtypist, gcompris, quiz
</p>
</dd>
</dl>
<dl>
<dt>Applications/Emulators</dt>
<dd>
<p>
Software that allows you to run non-native software or more than one OS at a
time.
</p>

<p>
Examples: wine, dosemu, qemu
</p>
</dd>
</dl>
<dl>
<dt>Applications/File Management</dt>
<dd>
<p>
Tools for file management, archiving, searching, CD/DVD burning, backup, etc.
</p>

<p>
Examples: file-roller, mc, baobab
</p>
</dd>
</dl>
<dl>
<dt>Applications/Graphics</dt>
<dd>
<p>
2D and 3D graphics manipulation software.
</p>

<p>
Examples: gimp, inkscape, imagemagick
</p>
</dd>
</dl>
<dl>
<dt>Applications/Mobile Devices</dt>
<dd>
<p>
Software that allows you to interface with mobile devices (phones, PDAs, etc.).
</p>

<p>
Examples: kandy, gnokii, gnome-pilot
</p>
</dd>
</dl>
<dl>
<dt>Applications/Network</dt>
<dd>
<p>
Network related software.  This is a three-level section, do not put entries
directly here.
</p>
<dl>
<dt>Applications/Network/Communication</dt>
<dd>
<p>
Mail, USENET news, chat, instant messaging, IP telephony, video conferencing
software, etc.
</p>

<p>
Examples: xchat, gaim, mutt
</p>
</dd>
</dl>
<dl>
<dt>Applications/Network/File Transfer</dt>
<dd>
<p>
File transfer software such as download managers, FTP clients, P2P clients,
etc.
</p>

<p>
Examples: amule, gftp, d4x
</p>
</dd>
</dl>
<dl>
<dt>Applications/Network/Monitoring</dt>
<dd>
<p>
Network monitoring software
</p>

<p>
Examples: gip, ettercap, iptstate
</p>
</dd>
</dl>
<dl>
<dt>Applications/Network/Web Browsing</dt>
<dd>
<p>
Web browsers, tools for offline browsing, etc.
</p>

<p>
Examples: elinks, epiphany-browser, webhttrack
</p>
</dd>
</dl>
<dl>
<dt>Applications/Network/Web News</dt>
<dd>
<p>
Web feed (RSS, Atom, etc.) and podcast aggregators.
</p>

<p>
Examples: akregator, kitty, liferea
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>Applications/Office</dt>
<dd>
<p>
Office suites, word processors, spreadsheets, CRM, ERP, financial sofware, etc.
</p>

<p>
Examples: openoffice.org, tinyerp-client, gnucash
</p>
</dd>
</dl>
<dl>
<dt>Applications/Programming</dt>
<dd>
<p>
IDEs, debuggers, etc.
</p>

<p>
Examples: anjuta, gdb, eclipse
</p>
</dd>
</dl>
<dl>
<dt>Applications/Project Management</dt>
<dd>
<p>
Timetable managers, group task trackers, bug tracking software, etc.
</p>

<p>
Examples: planner, bugzilla, gnotime
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science</dt>
<dd>
<p>
Scientific and engineering-related software.
</p>
<dl>
<dt>Applications/Science/Astronomy</dt>
<dd>
<p>
Astronomy-related software.
</p>

<p>
Examples: celestia, spacechart, stellarium
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Biology</dt>
<dd>
<p>
Biology-related software.
</p>

<p>
Examples: arb, ncbi-tools-x11, seaview
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Chemistry</dt>
<dd>
<p>
Chemistry-related software.
</p>

<p>
Examples: chemtool, kalzium, xdrawchem
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Data Analysis</dt>
<dd>
<p>
Software designed for processing, extracting, and presenting generic scientific
data.
</p>

<p>
Examples: fityk, ygraph, mn-fit
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Electronics</dt>
<dd>
<p>
Circuit design tools, simulators and assemblers for microprocessors, etc
</p>

<p>
Examples: geda, gnucap, tkgate
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Engineering</dt>
<dd>
<p>
CAD, UML tools, diagram-drawing and other engineering-related software.
</p>

<p>
Examples: tcm, dia, qcad
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Geoscience</dt>
<dd>
<p>
Geoscience-related software.
</p>

<p>
Examples: earth3d, qgis, therion
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Mathematics</dt>
<dd>
<p>
Mathematics-related software.
</p>

<p>
Examples: gcalctool, snappea, xeukleides
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Medicine</dt>
<dd>
<p>
Medicine-related software.
</p>

<p>
Examples: mssstest, gnumed-client, xmedcon
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Physics</dt>
<dd>
<p>
Physics-related software.
</p>

<p>
Examples: kxterm, ifrit, paw
</p>
</dd>
</dl>
<dl>
<dt>Applications/Science/Social</dt>
<dd>
<p>
Social sciences-related software.
</p>

<p>
Examples: gnomesword, hanzim, bibletime
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>Applications/Shells</dt>
<dd>
<p>
Various shells to be used inside a terminal emulator.
</p>

<p>
Examples: bash, ksh, zsh
</p>
</dd>
</dl>
<dl>
<dt>Applications/Sound</dt>
<dd>
<p>
Sound players, editors, and rippers/recorders.
</p>

<p>
Examples: beep-media-player, grip, audacity
</p>
</dd>
</dl>
<dl>
<dt>Applications/System</dt>
<dd>
<p>
System related software.
</p>
<dl>
<dt>Applications/System/Administration</dt>
<dd>
<p>
Administrative and system configuration utilities, also tools for personal user
settings.
</p>

<p>
Examples: gnome-control-center, configure-debian, gksu
</p>
</dd>
</dl>
<dl>
<dt>Applications/System/Hardware</dt>
<dd>
<p>
Tools for manipulating specific hardware, especially non-standard laptop
hardware.
</p>

<p>
Examples: toshutils, nvclock-gtk, nvtv
</p>
</dd>
</dl>
<dl>
<dt>Applications/System/Language Environment</dt>
<dd>
<p>
This section is reserved for language-env as a special case.
</p>
</dd>
</dl>
<dl>
<dt>Applications/System/Monitoring</dt>
<dd>
<p>
System information and monitoring tools, log viewers, etc.
</p>

<p>
Examples: top, hal-device-manager, gtkdiskfree
</p>
</dd>
</dl>
<dl>
<dt>Applications/System/Package Management</dt>
<dd>
<p>
Package managers and related tools.
</p>

<p>
Examples: aptitude, deborphan, smartpm
</p>
</dd>
</dl>
<dl>
<dt>Applications/System/Security</dt>
<dd>
<p>
Security, cryptography and privacy related software, antiviruses, tools to
track and report bugs, etc.
</p>

<p>
Examples: gpgkeys, bastille, avscan
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>Applications/Terminal Emulators</dt>
<dd>
<p>
Graphical terminal emulators.
</p>

<p>
Examples: xterm, gnome-terminal, rxvt
</p>
</dd>
</dl>
<dl>
<dt>Applications/Text</dt>
<dd>
<p>
Text oriented tools like dictionaries, OCR, translation, text analysis
software, etc.
</p>

<p>
Examples: kdrill, stardict, turkey
</p>
</dd>
</dl>
<dl>
<dt>Applications/TV and Radio</dt>
<dd>
<p>
TV-in, TV-out, FM radio, teletext browsers, etc.
</p>

<p>
Examples: gradio, gatos, alevt
</p>
</dd>
</dl>
<dl>
<dt>Applications/Viewers</dt>
<dd>
<p>
Software for viewing images, documents and other (non-video) media.
</p>

<p>
Examples: gqview, evince, gthumb
</p>
</dd>
</dl>
<dl>
<dt>Applications/Video</dt>
<dd>
<p>
Video players, editors, and rippers/recorders.
</p>

<p>
Examples: istanbul, totem, kino
</p>
</dd>
</dl>
<dl>
<dt>Applications/Web Development</dt>
<dd>
<p>
Software for web site editing, web programming, and site administration.
</p>

<p>
Examples: bluefish, screem, gphpedit
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>Games</dt>
<dd>
<p>
Games and recreations
</p>
<dl>
<dt>Games/Action</dt>
<dd>
<p>
Games that involve a lot of action and require fast reflexes.
</p>

<p>
Examples: xsoldier, supertux, xmoto
</p>
</dd>
</dl>
<dl>
<dt>Games/Adventure</dt>
<dd>
<p>
Role playing and adventure games, interactive movies and stories, etc.
</p>

<p>
Examples: beneath-a-steel-sky, egoboo, kq
</p>
</dd>
</dl>
<dl>
<dt>Games/Blocks</dt>
<dd>
<p>
Tetris-like games involving falling blocks.
</p>

<p>
Examples: crack-attack, frozen-bubble, netris
</p>
</dd>
</dl>
<dl>
<dt>Games/Board</dt>
<dd>
<p>
Games played on a board.
</p>

<p>
Examples: phalanx, xshogi, xboard
</p>
</dd>
</dl>
<dl>
<dt>Games/Card</dt>
<dd>
<p>
Games involving a deck of cards.
</p>

<p>
Examples: pysol, ace-of-penguins, xpat2
</p>
</dd>
</dl>
<dl>
<dt>Games/Puzzles</dt>
<dd>
<p>
Tests of ingenuity and logic.
</p>

<p>
Examples: xmpuzzles, sgt-puzzles, enigma
</p>
</dd>
</dl>
<dl>
<dt>Games/Simulation</dt>
<dd>
<p>
Simulations of the real world in all detail and complexity.
</p>

<p>
Examples: flightgear, torcs
</p>
</dd>
</dl>
<dl>
<dt>Games/Strategy</dt>
<dd>
<p>
Games involving long-term strategic thinking.
</p>

<p>
Examples: wesnoth, widelands, netpanzer
</p>
</dd>
</dl>
<dl>
<dt>Games/Tools</dt>
<dd>
<p>
Server browsers, configurators, editors, and other game-related tools that are
not games themselves.
</p>

<p>
Examples: xqf, crystalspace
</p>
</dd>
</dl>
<dl>
<dt>Games/Toys</dt>
<dd>
<p>
Amusements, eye-candy, entertaining demos, screen hacks (screensavers), etc.
</p>

<p>
Examples: xdesktopwaves, xphoon, xpenguins
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>Help</dt>
<dd>
<p>
programs that provide user documentation
</p>

<p>
Examples: debian-reference, apt-howto, dhelp
</p>
</dd>
</dl>
<dl>
<dt>Screen</dt>
<dd>
<p>
Programs that affect the whole screen.
</p>
<dl>
<dt>Screen/Saving</dt>
<dd>
<p>
Tools for blanking the screen.  Entries of screen hacks and configuration GUIs
should go to other appropriate sections.
</p>

<p>
Examples: xscreensaver, xlockmore
</p>
</dd>
</dl>
<dl>
<dt>Screen/Locking</dt>
<dd>
<p>
Tools for locking the screen.
</p>

<p>
Examples: xscreensaver, xlockmore
</p>
</dd>
</dl>
</dd>
</dl>
<dl>
<dt>Window Managers</dt>
<dd>
<p>
X window managers.
</p>

<p>
Examples: fluxbox, metacity, waimea
</p>
</dd>
</dl>
<dl>
<dt>FVWM Modules</dt>
<dd>
<p>
FVWM-based window manager modules.  As only modules related to the running
window-manager are displayed, do not create subsections for specific
window-managers.
</p>

<p>
Examples: fvwm, fvwm-gnome, fvwm95
</p>
</dd>
</dl>
<dl>
<dt>Window Maker</dt>
<dd>
<p>
This section is reserved for wmaker as a special case.
</p>

<p>
All wmaker specific entries must go here.
</p>
</dd>
</dl>

<hr>

<p>
[ <a href="ch1.html">previous</a> ]
[ <a href="index.html#contents">Contents</a> ]
[ <a href="ch1.html">1</a> ]
[ 2 ]
[ <a href="index.html">next</a> ]
</p>

<hr>

<p>
The Debian Menu sub-policy
</p>

<address>
version 3.9.8.0, 2016-03-30<br>
<br>
Chris Waters<br>
Joey Hess<br>
Joost Witteveen<br>
The Debian Policy mailing List <code><a href="mailto:debian-policy@lists.debian.org">mailto:debian-policy@lists.debian.org</a></code><br>
<br>
</address>
<hr>

</body>

</html>

